> For the complete documentation index, see [llms.txt](https://docs.aquanow.io/aquanow/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aquanow.io/aquanow/api-endpoints-or-v1.0/transaction-api/transfers.md).

# Transfers

## Create a transfer

<mark style="color:green;">`POST`</mark> <https://api.aquanow.io/accounts/v1/transfer> <br>

To view example requests for this endpoint, visit Aquanow's [Postman](https://developer.aquanow.io/#4462eccb-a588-4590-a6c5-7dac5816356f) documentation.

#### Headers

| Name                                           | Type   | Description                                                                                                                                                        |
| ---------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| x-api-key<mark style="color:red;">\*</mark>    | String | <p><code>{{x-api-key}}</code></p><p>API Auth Key</p>                                                                                                               |
| x-signature<mark style="color:red;">\*</mark>  | String | <p><code>49c6260c194f4d7ed5cb917dc70b9821673246b2abc1cf28f05df6a75fd24181e00f8e57b321d15ae45db58b3bffe27a</code></p><p>Signature created using your API secret</p> |
| x-nonce<mark style="color:red;">\*</mark>      | Number | <p><code>1618307861949</code></p><p>Timestamp in millisecond</p>                                                                                                   |
| Content-Type<mark style="color:red;">\*</mark> | String | `application/json`                                                                                                                                                 |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                                              |
| ---------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol<mark style="color:red;">\*</mark>             | String | <p>e.g., <code>BTC</code></p><p>All uppercase letters, the crypto currency you are withdrawing.</p>                                                      |
| quantity<mark style="color:red;">\*</mark>           | Number | Quantity you wish to transfer. Must have sufficient funds.                                                                                               |
| accountSenderId<mark style="color:red;">\*</mark>    | String | <p>e.g., <code>CA1000012R</code></p><p>Sender's account ID. Specify the <code>accountId</code> of the account you wish to make the transfer out of</p>   |
| accountRecipientId<mark style="color:red;">\*</mark> | String | <p>e.g., <code>CA1000012R</code></p><p>Recipient's account ID. Specify the <code>accountId</code> of the account you wish to make the transfer into.</p> |
| tag                                                  | String | Additional reference id that you can send with the transfer request.                                                                                     |

{% tabs %}
{% tab title="200: OK Create tranfer" %}
Returns a [TransactionObject](/aquanow/data-objects-and-statuses/transaction-objects.md#transactionobject).

<pre class="language-json"><code class="lang-json">
{
<strong>    "$metadata": {
</strong>        "httpStatusCode": 200,
        "requestId": "68ae26e3-5bf6-506c-922f-79d74701b9ed",
        "attempts": 1,
        "totalRetryDelay": 0
    },
    "MD5OfMessageBody": "3ea55ab7e3e53b01fadcf1a6ca83151a",
    "MessageId": "94dba394-74e8-4292-8b9e-46b5c46c8e0d"
}

</code></pre>

{% endtab %}

{% tab title="400: Bad Request Insufficient funds" %}

```json
{
    "message": "Transfer quantity is larger than Sender Account sample_company:CA1000002R_USDC's available balance of 49000 USDC"
}
```

{% endtab %}

{% tab title="400: Bad Request Account ID does not exist" %}

```json
{
    "message": "An error has occurred while creating a transfer. Please try again later or contact support"
}
```

{% endtab %}

{% tab title="400: Bad Request Invalid Symbol" %}

```json
{
    "message": "An error has occurred while creating a transfer. Please try again later or contact support"
}
```

{% endtab %}

{% tab title="400: Bad Request Same accountId provided for sender and recipient" %}

```json
{
    "message": "Sender Account Id and Recipient Account Id must have different values"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aquanow.io/aquanow/api-endpoints-or-v1.0/transaction-api/transfers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
